# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# frozen_string_literal: true

class WebsitesController < ApplicationController
  def show
    render json: current_tenant.website.as_json(only: %i[content]) || {}, status: :ok
  end

  def update
    ActiveRecord::Base.transaction do
      website = current_tenant.website || current_tenant.create_website
      website.update!(website_params)
      render json: website.as_json(only: %i[content]), status: :ok
    end
  end

  private

  def website_params
    params.expect(website: [:content])
  end
end
